net.sf.jasperreports.charts.fill

## Class JRFillThermometerPlot

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillChartPlot
  - - net.sf.jasperreports.charts.fill.JRFillThermometerPlot

- All Implemented Interfaces:
    java.lang.Cloneable, JRThermometerPlot, JRChartPlot, JRCloneable

      public class JRFillThermometerPlot
      extends JRFillChartPlot
      implements JRThermometerPlot

  Version:
    $Id: JRFillThermometerPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Barry Klawans (bklawans@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot

      `chart, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillThermometerPlot(JRThermometerPlot thermoPlot, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRDataRange` | `getDataRange()` Returns the range of values displayed by this thermometer.
    `JRDataRange` | `getHighRange()` Returns the high range, or `null` if undefined.
    `JRDataRange` | `getLowRange()` Returns the low range, or `null` if undefined.
    `JRDataRange` | `getMediumRange()` Returns the medium range, or `null` if undefined.
    `java.awt.Color` | `getMercuryColor()` Returns the color of the "mercury" in the thermometer when the value is not in a defined range.
    `JRValueDisplay` | `getValueDisplay()` Returns formatting information for the textual representation of the value.
    `ValueLocationEnum` | `getValueLocationValue()` Returns the location where the value of the thermometer will be shown.
    `boolean` | `isShowValueLines()` Deprecated. No longer used.

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot

      `addSeriesColor, clearSeriesColors, clone, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBand, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Constructor Detail

    - #### JRFillThermometerPlot

          public JRFillThermometerPlot(JRThermometerPlot thermoPlot,
                               JRFillObjectFactory factory)

  - ### Method Detail

    - #### getDataRange

          public JRDataRange getDataRange()

      Description copied from interface: `JRThermometerPlot`
      Returns the range of values displayed by this thermometer. This range corresponds with the scale on the thermometer.
      Specified by:
        `getDataRange` in interface `JRThermometerPlot`
      Returns:
        the range of values displayed by this thermometer

    - #### getValueDisplay

          public JRValueDisplay getValueDisplay()

      Description copied from interface: `JRThermometerPlot`
      Returns formatting information for the textual representation of the value.
      Specified by:
        `getValueDisplay` in interface `JRThermometerPlot`
      Returns:
        formatting information for the value

    - #### isShowValueLines

          public boolean isShowValueLines()

      Deprecated. No longer used.
      Specified by:
        `isShowValueLines` in interface `JRThermometerPlot`

    - #### getValueLocationValue

          public ValueLocationEnum getValueLocationValue()

      Description copied from interface: `JRThermometerPlot`
      Returns the location where the value of the thermometer will be shown. The return value will be one of `net.sf.jasperreports.charts.type.ValueLocationEnum.NONE`, `net.sf.jasperreports.charts.type.ValueLocationEnum.LEFT`, `net.sf.jasperreports.charts.type.ValueLocationEnum.RIGHT` or `net.sf.jasperreports.charts.type.ValueLocationEnum.BULB`.
      Specified by:
        `getValueLocationValue` in interface `JRThermometerPlot`
      Returns:
        the location where the value of the thermometer will be shown

    - #### getMercuryColor

          public java.awt.Color getMercuryColor()

      Description copied from interface: `JRThermometerPlot`
      Returns the color of the "mercury" in the thermometer when the value is not in a defined range.
      Specified by:
        `getMercuryColor` in interface `JRThermometerPlot`
      Returns:
        the default color of the mercury in the thermometer

    - #### getLowRange

          public JRDataRange getLowRange()

      Description copied from interface: `JRThermometerPlot`
      Returns the low range, or `null` if undefined.
      Specified by:
        `getLowRange` in interface `JRThermometerPlot`
      Returns:
        the low range, or `null` if undefined.

    - #### getMediumRange

          public JRDataRange getMediumRange()

      Description copied from interface: `JRThermometerPlot`
      Returns the medium range, or `null` if undefined.
      Specified by:
        `getMediumRange` in interface `JRThermometerPlot`
      Returns:
        the medium range, or `null` if undefined.

    - #### getHighRange

          public JRDataRange getHighRange()

      Description copied from interface: `JRThermometerPlot`
      Returns the high range, or `null` if undefined.
      Specified by:
        `getHighRange` in interface `JRThermometerPlot`
      Returns:
        the high range, or `null` if undefined.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com